SDL_SetWindowPosition(3)

NAME
SDL_SetWindowPosition - Request that the window's position be set.

HEADER FILE
Defined in SDL3/SDL_video.h

SYNOPSIS
#include "SDL3/SDL.h"

bool SDL_SetWindowPosition(SDL_Window *window, int x, int y);

DESCRIPTION
If the window is in an exclusive fullscreen or maximized state, this request has no effect.

This can be used to reposition fullscreen-desktop windows onto a different display, however, as exclusive fullscreen windows are locked to a specific display, they can only be repositioned programmatically via

SDL_SetWindowFullscreenMode ().

On some windowing systems this request is asynchronous and the new coordinates may not have have been applied immediately upon the return of this function. If an immediate change is required, call

SDL_SyncWindow () to block until the changes have taken effect.

When the window position changes, an

SDL_EVENT_WINDOW_MOVED
 event will be emitted with the window's new coordinates. Note that the new coordinates may not match the exact coordinates requested, as some windowing systems can restrict the position of the window in certain scenarios (e.g. constraining the position so the window is always within desktop bounds). Additionally, as this is just a request, it can be denied by the windowing system.

FUNCTION PARAMETERS

window
    the window to reposition.

x   the x coordinate of the window, or SDL_WINDOWPOS_CENTERED or SDL_WINDOWPOS_UNDEFINED .

y   the y coordinate of the window, or SDL_WINDOWPOS_CENTERED or SDL_WINDOWPOS_UNDEFINED .

RETURN VALUE
Returns true on success or false on failure; call

SDL_GetError () for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_GetWindowPosition(3), •(3), SDL_SyncWindow(3)